<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>To Do List</title>
</head>
<header>
    <nav>
        <a href="{% url 'todo_list_create' %}">Create List</a>
        <a href="{% url 'todo_item_create' %}">Create Item</a>
    </nav>
</header>

<body>
    <main>
        <div>
            <h1>My Lists</h1>
            <table>
                <tr>
                    <th>Name</th>
                    <th>Number of Items</th>
                </tr>
                <tbody>
                    {% for todo in todo_list.all %}
                    <tr>
                        <td><a href="{% url 'todo_list_detail' todo.id %}">{{ todo.name }}</a></td>
                        <td>{{ todo.items.count }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>

</html>
